libcdr::CDRQuadraticBezierToElement Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libcdr::CDRQuadraticBezierToElement Class Reference
Inheritance diagram for libcdr::CDRQuadraticBezierToElement:

## Public Member Functions
| CDRQuadraticBezierToElement (double x1, double y1, double x, double y)
| ~CDRQuadraticBezierToElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | transform (const CDRTransforms &trafos) override
void | transform (const CDRTransform &trafo) override
std::unique_ptr< CDRPathElement > | clone () override
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes
double | m_x1
double | m_y1
double | m_x
double | m_y

## Constructor & Destructor Documentation

## ◆ CDRQuadraticBezierToElement()

libcdr::CDRQuadraticBezierToElement::CDRQuadraticBezierToElement | ( | double | x1,
|  | double | y1,
|  | double | x,
|  | double | y
| ) |  |
| inline

## ◆ ~CDRQuadraticBezierToElement()

libcdr::CDRQuadraticBezierToElement::~CDRQuadraticBezierToElement | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

std::unique_ptr< CDRPathElement > libcdr::CDRQuadraticBezierToElement::clone | ( |  | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ transform() [1/2]

void libcdr::CDRQuadraticBezierToElement::transform | ( | const CDRTransform & | trafo | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ transform() [2/2]

void libcdr::CDRQuadraticBezierToElement::transform | ( | const CDRTransforms & | trafos | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ writeOut()

void libcdr::CDRQuadraticBezierToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| overridevirtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

## ◆ m_x

double libcdr::CDRQuadraticBezierToElement::m_x
| private

Referenced by clone(), transform(), and writeOut().

## ◆ m_x1

double libcdr::CDRQuadraticBezierToElement::m_x1
| private

Referenced by clone(), transform(), and writeOut().

## ◆ m_y

double libcdr::CDRQuadraticBezierToElement::m_y
| private

Referenced by clone(), transform(), and writeOut().

## ◆ m_y1

double libcdr::CDRQuadraticBezierToElement::m_y1
| private

Referenced by clone(), transform(), and writeOut().

The documentation for this class was generated from the following file:

- CDRPath.cpp